'use strict';

var child_process = require('child_process');
var fs = require('fs');
var Mocha = require('mocha');

module.exports = (function (options) {
    var reporterName = process.env.REPORTER || 'list';
    var tests = fs.readdirSync(__dirname + '/test');

    process.setMaxListeners(0);
    console.log('options', options)
    tests.forEach(function (testPath) {
        var filePath = __dirname + '/test/' + testPath;

        var mocha = new Mocha({
            reporter: reporterName,
            timeout: 60000,
            slow: 5000
        });

        mocha.addFile(filePath);
        mocha.run();
    });
})();